commit 9c3a4753acfa1dde12aa1a935a01b8387ca017ec
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Sep 4 02:18:02 2021

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index d5d7022c6ba..a9314724a2a 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,33 @@
+2021-09-03  Michael Meissner  <meissner@linux.ibm.com>
+
+	* config/rs6000/altivec.md (UNSPEC_XXSPLTIDP): Rename from
+	UNSPEC_XXSPLTID.
+	(xxspltidp_v2df): Likewise.
+	(xxspltidp_v2df_inst): Likewise.
+
+2021-09-03  Michael Meissner  <meissner@linux.ibm.com>
+
+	* config/rs6000/altivec.md (xxspltiw_v4si): Use vecperm type
+	attribute.  Backport from master, 2021-08-24.
+	(xxspltiw_v4si_inst): Likewise.
+	(xxspltiw_v4sf_inst): Likewise.
+	(xxspltidp_v2df): Likewise.
+	(xxspltidp_v2df_inst): Likewise.
+	(xxsplti32dx_v4si): Likewise.
+	(xxsplti32dx_v4si_inst): Likewise.
+	(xxsplti32dx_v4sf_inst): Likewise.
+	(xxblend_<mode>): Likewise.
+	(xxpermx): Likewise.
+	(xxpermx_inst): Likewise.
+	(xxeval): Likewise.
+
+2021-09-03  liuhongt  <hongtao.liu@intel.com>
+
+	PR target/102166
+	* config/i386/amxbf16intrin.h : Remove macro check for __AMX_BF16__.
+	* config/i386/amxint8intrin.h : Remove macro check for __AMX_INT8__.
+	* config/i386/amxtileintrin.h : Remove macro check for __AMX_TILE__.
+
 2021-09-02  Peter Bergner  <bergner@linux.ibm.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 1591e4e43ac..fd5abf169ba 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20210903
+20210904
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index 5f1d46a1840..ae9bac3e0fa 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,22 @@
+2021-09-03  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-08-30  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/101349
+	* resolve.c (resolve_allocate_expr): An unlimited polymorphic
+	argument to ALLOCATE must be ALLOCATABLE or a POINTER.  Fix the
+	corresponding check.
+
+2021-09-03  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-08-30  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/102113
+	* match.c (gfc_match_goto): Allow for whitespace in parsing list
+	of labels.
+
 2021-08-30  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index f0d02a30652..d3e2c7e1e09 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,41 @@
+2021-09-03  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-08-30  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/101349
+	* gfortran.dg/unlimited_polymorphic_33.f90: New test.
+
+2021-09-03  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-08-30  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/102113
+	* gfortran.dg/goto_9.f90: New test.
+
+2021-09-03  Michael Meissner  <meissner@linux.ibm.com>
+
+	PR target/94630
+	* gcc.target/powerpc/pr70117.c: Specify that we need the long double
+	type to be IBM 128-bit.  Remove the code to use __ibm128.
+	Backport from master 2021-08-25.
+	* c-c++-common/dfp/convert-bfp-11.c: Specify that we need the long
+	double type to be IBM 128-bit.  Run the test at -O2 optimization.
+	Backport from master 2021-08-25.
+	* lib/target-supports.exp (add_options_for_long_double_ibm128): New
+	function.  Backport from master 2021-08-25.
+	(check_effective_target_long_double_ibm128): New function.
+	(add_options_for_long_double_ieee128): New function.
+	(check_effective_target_long_double_ieee128): New function.
+	(add_options_for_long_double_64bit): New function.
+	(check_effective_target_long_double_64bit): New function.
+
+2021-09-03  liuhongt  <hongtao.liu@intel.com>
+
+	PR target/102166
+	* g++.target/i386/pr102166.C: New test.
+
 2021-09-02  Peter Bergner  <bergner@linux.ibm.com>
 
 	Backported from master:

